import {Meta} from '@storybook/addon-docs/blocks'

<Meta title='@dxtmisha/en/functional-basic/Functions/isInput - Check for input element'/>

# `isInput`

Checks if the element is an input field (`input`, `textarea`, `select`) or an element with the `contenteditable` attribute.

**Parameters:**
- `element: HTMLElement | EventTarget | null` — the element to check.

**Returns:**
`boolean` — `true` if the element is an input field or editable, otherwise `false`.

```typescript
import { isInput } from '@dxtmisha/functional-basic'

const input = document.createElement('input')
isInput(input) // true

const div = document.createElement('div')
isInput(div) // false
```
